Open topic with navigation

TIBCO® Product and Service Catalog powered by TIBCO EBX® 1.2.0

# Configuration Properties

You can configure and customize the feature configurations using the `$PSC_HOME/config/config.properties` file.

Property Name | Description
--- | ---
com.tibco.psc.jms.provider | The name of the JMS provider. Default is tibcoems
com.tibco.psc.jms.topic.connection.username | Username for creating a topic connection.
com.tibco.psc.jms.topic.connection.password | Password for creating a topic connection.
com.tibco.psc.jms.topic.connection.attempts | The number of times the connection object attempts to establish a connection to the server Default is 10
com.tibco.psc.jms.topic.connection.attempty.delay | The delay time between successive attempts to establish a connection to the server. Its value is the time (in milliseconds) between connection attempts. Default is 5000
com.tibco.psc.jms.topic.connection.attempt.timeout | The number of times that a connection object attempts to reestablish a connection to the server Default is 5000
com.tibco.psc.jms.topic.connection.reconnect.count | The number of times that a connection object attempts to reestablish a connection to the server. Default is 360
com.tibco.psc.jms.topic.connection.reconnect.attempt.delay | The delay time between successive attempts to reconnect to the server. Its value is the time (in milliseconds) between reconnection attempts. Default is 5000
com.tibco.psc.jms.topic.connection.reconnect.attempt.timeout | Set the Reconnect Attempt timeout for a given connection Default is 5000
com.tibco.psc.jms.encoding.type | Message encoding type Default is UTF-8
com.tibco.psc.jms.topic.default.number.of.senders | Number of message publisher for each topic Default is 1
com.tibco.psc.log4j.appender.pscmdm.MaxFileSize | Maximum log file size Default 5 MB
com.tibco.psc.log4j.appender.pscmdm.MaxBackupIndex | Number of backup files Default is 25
com.tibco.psc.log4j.appender.pscmdm.Threshold | Log threshold. Valid values DEBUG,INFO,ERROR Default is DEBUG
com.tibco.psc.log4j.appender.pscmdm.layout.ConversionPattern | Log message layout pattern Default is %d\, [%t]\, [%-5p]\, %x %c{1}\, - %m%n
com.tibco.psc.log4j.appender.pscmdm | Log append Default is org.apache.log4j.RollingFileAppender
com.tibco.psc.log4j.appender.pscmdm.layout | Logger layout Default is org.apache.log4j.PatternLayout
com.tibco.psc.import.csv.field.list.type.separator | The separator character to use for values lists Default is !#
com.tibco.psc.import.csv.encoding.type | the character encoding to use Default is UTF-8
com.tibco.psc.import.csv.importmode | The import mode. Valid values -
| • | #INSERT_ONLY - Specifies that only modifications of existing records are allowed.
| • | #REPLACE_ALL_CONTENT -Specifies that all records will be replaced during the import process. #UNKNOWN - Specifies an undefined mode.
| • | #UPDATE_ONLY - Specifies an undefined mode.
| • | #UPDATE_AND_INSERT - Specifies that all records will be updated or inserted during import process.
Default is UPDATE_AND_INSERT
com.tibco.psc.import.csv.download.invalid.data | Whether all records with errors in their data rows are exported to a downloadable file Default is true
com.tibco.psc.import.csv.valid.record.import | If validation errors exist and the user chooses import only valid records Default is true
com.tibco.psc.import.csv.validate.data.before.transformation | Whether the import data is validated before transformation executing Default is false
com.tibco.psc.import.csv.decimal.symbol | The decimal symbol - possible values are COMMA, DOT Default is DOT
com.tibco.psc.import.forced.import | Whether all triggers and constraints are disabled in the process of importing data. Default is true
com.tibco.psc.export.csv.delimiter | The character is used to mark the beginning and end of a cell in the CSV file
com.tibco.psc.export.csv.delimiter.used.foronly.string | Whether the delimiter is only used for string data types (true / false).
com.tibco.psc.export.csv.field.separator | The field separator character
com.tibco.psc.export.csv.field.list.type.separator | The separator character to use for value lists Default is - !#
com.tibco.psc.export.records.newfixed.threadpool.size | Fixed thread pool size for exporting records Default is - 4
com.tibco.psc.import.records.newfixed.threadpool.size | Fixed thread pool size for importing records Default is - 4
com.tibco.psc.publish.records.newfixed.threadpool.size | Fixed thread pool size for publishing records Default is - 4
com.tibco.psc.evaluate.rulebase.newfixed.threadpool.size | Fixed thread pool size for executing rulebase in imported records Default is - 4
com.tibco.psc.record.process.batch.size | Different operations, for example, rulebase execution work on records. It specifies the number of records are processed in single batch for execution. Default is 1000.
com.tibco.psc.ui.customform.enable | Enable or disable custom form. Default is true
com.tibco.psc.data.operation.error.threshold.limit | Error threshold limit for different operations. After this much error operation will be aborted. Default is 1000
com.tibco.psc.publish.tenant.id | Tenant Id Default is TIBCOPSCEBX
com.tibco.psc.ui.skip.rule.execution | If set to true, skip the rulebase execution when creating / modifying records through UI. Default is false

Copyright © 2021-2022. Cloud Software Group, Inc. All Rights Reserved.